%{?nodejs_find_provides_and_requires}

%global packagename global-modules
%global enable_tests 1

Name:		nodejs-global-modules
Version:	0.2.3
Release:	1%{?dist}
Summary:	The directory used by npm for globally installed npm modules

License:	MIT
URL:		https://github.com/jonschlinkert/global-modules.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
Source1:	https://raw.githubusercontent.com/jonschlinkert/global-modules/%{version}/test.js


BuildArch:	noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	nodejs-packaging
BuildRequires:	npm(global-prefix)
BuildRequires:	npm(is-windows)
%if 0%{?enable_tests}
BuildRequires:	mocha
BuildRequires:	npm(fs-exists-sync)
BuildRequires:	npm(global-prefix)
BuildRequires:	npm(is-windows)
%endif

%description
The directory used by npm for globally installed npm modules.


%prep
%autosetup -n package
# setup the tests
cp -p %{SOURCE1} .


%build
# nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json index.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
NODE_ENV=test %{_bindir}/mocha -R spec
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%{!?_licensedir:%global license %doc}
%license LICENSE
%{nodejs_sitelib}/%{packagename}

%changelog
* Sun Apr 16 2017 Jared Smith <jsmith@fedoraproject.org> - 0.2.3-1
- Update to upstream 0.2.3 release

* Mon Jul 25 2016 Jared Smith <jsmith@fedoraproject.org> - 0.2.2-1
- Initial packaging
